Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant
Interface ArgumentProcessor

    public interface ArgumentProcessor

Processor of arguments of the command line.

Arguments supported by third party code should not conflict with Ant core ones. It is then recommended to chose specific 'enough' argument name, avoiding for instance one letter arguments. By the way, if there any conflict, Ant will take precedence.

Since:
  1.9

Method Summary
`boolean` | `handleArg(java.util.List<java.lang.String> args)` If some arguments matched with `readArguments(String[], int)`, this method is called after all arguments were parsed.
`boolean` | `handleArg(Project project, java.util.List<java.lang.String> arg)` Handle the arguments with `readArguments(String[], int)`, just after the project being configured.
`void` | `prepareConfigure(Project project, java.util.List<java.lang.String> args)` If some arguments matched with `readArguments(String[], int)`, this method is called just before the project being configured
`void` | `printUsage(java.io.PrintStream writer)` Print the usage of the supported arguments
`int` | `readArguments(java.lang.String[] args, int pos)` Read the arguments from the command line at the specified position

Method Detail

### readArguments

    int readArguments(java.lang.String[] args,
                      int pos)

  Read the arguments from the command line at the specified position

  If the argument is not supported, returns -1. Else, the position of the first argument not supported.

### handleArg

    boolean handleArg(java.util.List<java.lang.String> args)

  If some arguments matched with `readArguments(String[], int)`, this method is called after all arguments were parsed. Returns `true` if Ant should stop there, ie the build file not parsed and the project should not be executed.

### prepareConfigure

    void prepareConfigure(Project project,
                          java.util.List<java.lang.String> args)

  If some arguments matched with `readArguments(String[], int)`, this method is called just before the project being configured

### handleArg

    boolean handleArg(Project project,
                      java.util.List<java.lang.String> arg)

  Handle the arguments with `readArguments(String[], int)`, just after the project being configured. Returns `true` if Ant should stop there, ie the build file not parsed and the project should not be executed.

### printUsage

    void printUsage(java.io.PrintStream writer)

  Print the usage of the supported arguments

  See Also:
    `Main.printUsage()`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD